local RuneBattleTaskCell = class("RuneBattleTaskCell", BaseCell)

function RuneBattleTaskCell:refresh(desc, taskInfo, over)
    local uiMap = self:getUIMap()
    uiMap["task_cell.desc"]:setText(desc)
    uiMap["task_cell.check"]:setVisible(over)
    local runeData = DataManager.DungeonData:getDungeonDataByType(ModuleManager.MODULE_KEY.RUNES_OPEN)
    uiMap["task_cell.task_icon"]:setSprite(runeData:getConditionIcon(taskInfo))
end

return RuneBattleTaskCell